rte_table_action_lb_config(3)

NAME
rte_table_action_lb_config

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

uint32_t key_size
uint32_t key_offset
uint8_t key_mask [RTE_TABLE_ACTION_LB_KEY_SIZE_MAX]
rte_table_hash_op_hash f_hash
uint64_t seed
uint32_t out_offset

Detailed Description

Load balance action configuration (per table action profile).

Definition at line 146 of file rte_table_action.h.

Field Documentation

  uint32_t key_size
Key size (number of bytes).

Definition at line 148 of file rte_table_action.h.

  uint32_t key_offset
Key offset within the input packet buffer. Offset 0 points to the first byte of the MBUF structure.

Definition at line 153 of file rte_table_action.h.

  uint8_t key_mask[RTE_TABLE_ACTION_LB_KEY_SIZE_MAX]
Key mask (key_size bytes are valid).

Definition at line 156 of file rte_table_action.h.

  rte_table_hash_op_hash f_hash
Hash function.

Definition at line 159 of file rte_table_action.h.

  uint64_t seed
Seed value for f_hash.

Definition at line 162 of file rte_table_action.h.

  uint32_t out_offset
Output value offset within the input packet buffer. Offset 0 points to the first byte of the MBUF structure.

Definition at line 167 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.